# class Net::HTTP::Delete

Class for representing HTTP method DELETE:

    require 'net/http'
    uri = URI('http://example.com')
    hostname = uri.hostname # => "example.com"
    uri.path = '/posts/1'
    req = Net::HTTP::Delete.new(uri) # => #<Net::HTTP::Delete DELETE>
    res = Net::HTTP.start(hostname) do |http|
      http.request(req)
    end

See Request Headers.

Properties:

- Request body: optional.

- Response body: yes.

- Safe: no.

- Idempotent: yes.

- Cacheable: no.

Related:

- `Net::HTTP#delete`: sends `DELETE` request, returns response object.

### Constants

METHOD
REQUEST_HAS_BODY
RESPONSE_HAS_BODY